import Component from '../component.js';

export default class CoEuiInputNumber extends Component {
  constructor(parent) {
    let selector = 'input[@euiInputNumber]';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-input-number/eui-input-number.component.ts?at=master
  }
  async isInvalid() {
    return await (await $(this.currentPath + '/self::*[contains(@class,"eui-input-number--invalid")]')).isExisting();
  }
}
